View Issue Details

IDProjectCategoryView StatusLast Update
0000968PartDesignBugpublic2013-06-29 15:31
ReporterpeterinkerAssigned To 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.14 
Target VersionFixed in Version0.14 
Summary0000968: editing fillet size causes crash
DescriptionI'm sorry I recreate the same bug report as 0000616 . However I could reproduce the crash. Stacktrace is attached.
Additional InformationArch Linux 64Bit
FreeCAD 0.13, Libs: 0.13R1827 (Git)
TagsNo tags attached.

Activities

2013-01-27 20:33

 

stacktrace (6,801 bytes)
GNU gdb (GDB) 7.5.1
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-unknown-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/freecad-git...(no debugging symbols found)...done.
(gdb) run
Starting program: /usr/bin/freecad-git 
warning: Could not load shared library symbols for linux-vdso.so.1.
Do you need "set solib-search-path" or "set sysroot"?
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
Traceback (most recent call last):
  File "/usr/share/gdb/auto-load/usr/lib/libgobject-2.0.so.0.3400.3-gdb.py", line 9, in <module>
    from gobject import register
  File "/usr/share/glib-2.0/gdb/gobject.py", line 3, in <module>
    import gdb.backtrace
ImportError: No module named backtrace
FreeCAD 0.13, Libs: 0.13R1827 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2011
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

[New Thread 0x7fffdab23700 (LWP 3756)]
matplotlib not found, Plot module will be disabled
pycollada not found, collada support will be disabled.
[New Thread 0x7fffcb093700 (LWP 3757)]
[New Thread 0x7fff88f9f700 (LWP 3758)]
[New Thread 0x7fff83fff700 (LWP 3759)]
[New Thread 0x7fff837fe700 (LWP 3760)]
[New Thread 0x7fff816bc700 (LWP 3761)]
[New Thread 0x7fff80ebb700 (LWP 3762)]
[New Thread 0x7fff73fff700 (LWP 3763)]
[New Thread 0x7fff737fe700 (LWP 3764)]
[New Thread 0x7fff72ffd700 (LWP 3765)]
[New Thread 0x7fff7238c700 (LWP 3766)]
[New Thread 0x7fff71b8b700 (LWP 3767)]
[Thread 0x7fff72ffd700 (LWP 3765) exited]
[Thread 0x7fff71b8b700 (LWP 3767) exited]
[Thread 0x7fff7238c700 (LWP 3766) exited]
[Thread 0x7fff737fe700 (LWP 3764) exited]
[Thread 0x7fff73fff700 (LWP 3763) exited]
[Thread 0x7fff80ebb700 (LWP 3762) exited]
Failed to create fillet
Failed to create fillet
Failed to create fillet
Failed to create fillet


Failed to create fillet
Failed to create fillet

Program received signal SIGSEGV, Segmentation fault.
0x00007fffd289dd20 in TopLoc_SListOfItemLocation::TopLoc_SListOfItemLocation(TopLoc_SListOfItemLocation const&) () from /opt/opencascade/lib/libTKMath.so.0
(gdb) 
(gdb) 
(gdb) bt
#0  0x00007fffd289dd20 in TopLoc_SListOfItemLocation::TopLoc_SListOfItemLocation(TopLoc_SListOfItemLocation const&) () from /opt/opencascade/lib/libTKMath.so.0
#1  0x00007fffd28f5988 in TopLoc_Location::Multiplied(TopLoc_Location const&) const () from /opt/opencascade/lib/libTKMath.so.0
#2  0x00007fffcfd59031 in BRep_Tool::Surface(TopoDS_Face const&) () from /opt/opencascade/lib/libTKBRep.so.0
#3  0x00007fffd326cceb in ChFi3d_Builder::PerformIntersectionAtEnd(int) () from /opt/opencascade/lib/libTKFillet.so.0
#4  0x00007fffd32776b3 in ChFi3d_Builder::PerformOneCorner(int, unsigned int) () from /opt/opencascade/lib/libTKFillet.so.0
#5  0x00007fffd321b255 in ChFi3d_Builder::PerformFilletOnVertex(int) () from /opt/opencascade/lib/libTKFillet.so.0
#6  0x00007fffd321b8b9 in ChFi3d_Builder::Compute() () from /opt/opencascade/lib/libTKFillet.so.0
#7  0x00007fffd31c3c15 in BRepFilletAPI_MakeFillet::Build() () from /opt/opencascade/lib/libTKFillet.so.0
#8  0x00007fff70993ee5 in PartDesign::Fillet::execute() () from /usr/lib/freecad-git/Mod/PartDesign/libPartDesign.so.2
#9  0x00007ffff6236412 in App::DocumentObject::recompute() () from /usr/lib/freecad-git/lib/libFreeCADApp.so.2
#10 0x00007fffd3b0db93 in Part::Feature::recompute() () from /usr/lib/freecad-git/Mod/Part/libPart.so.2
#11 0x00007ffff62179fc in App::Document::_recomputeFeature(App::DocumentObject*) () from /usr/lib/freecad-git/lib/libFreeCADApp.so.2
#12 0x00007ffff6217df2 in App::Document::recomputeFeature(App::DocumentObject*) () from /usr/lib/freecad-git/lib/libFreeCADApp.so.2
#13 0x00007ffff5ac8b8f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#14 0x00007ffff6d02aa0 in QDoubleSpinBox::valueChanged(double) () from /usr/lib/libQtGui.so.4
#15 0x00007ffff6ae5d9f in ?? () from /usr/lib/libQtGui.so.4
#16 0x00007ffff6a58fee in ?? () from /usr/lib/libQtGui.so.4
#17 0x00007ffff6a59f80 in QAbstractSpinBox::stepBy(int) () from /usr/lib/libQtGui.so.4
#18 0x00007ffff6a58088 in ?? () from /usr/lib/libQtGui.so.4
#19 0x00007ffff6a5815f in QAbstractSpinBox::mousePressEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#20 0x00007ffff66e8a30 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#21 0x00007ffff669918c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#22 0x00007ffff669de6b in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#23 0x00007ffff760915f in Gui::GUIApplication::notify(QObject*, QEvent*) () from /usr/lib/freecad-git/lib/libFreeCADGui.so.2
#24 0x00007ffff5ab36ae in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#25 0x00007ffff6699fcb in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) ()
   from /usr/lib/libQtGui.so.4
#26 0x00007ffff6714ad4 in ?? () from /usr/lib/libQtGui.so.4
#27 0x00007ffff6713861 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#28 0x00007ffff6739a22 in ?? () from /usr/lib/libQtGui.so.4
#29 0x00007fffeddca845 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#30 0x00007fffeddcab78 in ?? () from /usr/lib/libglib-2.0.so.0
#31 0x00007fffeddcac34 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#32 0x00007ffff5ae1b66 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#33 0x00007ffff673969e in ?? () from /usr/lib/libQtGui.so.4
#34 0x00007ffff5ab23ff in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#35 0x00007ffff5ab2688 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#36 0x00007ffff5ab7328 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#37 0x00007ffff76067eb in Gui::Application::runApplication() () from /usr/lib/freecad-git/lib/libFreeCADGui.so.2
#38 0x00000000004040d6 in ?? ()
#39 0x00007ffff4ac2a15 in __libc_start_main () from /usr/lib/libc.so.6
#40 0x00000000004053a1 in ?? ()
stacktrace (6,801 bytes)

wmayer

2013-01-28 06:37

administrator   ~0002874

There are a few bug reports related to crashes on the filleting. These are all bugs in the cad kernel (occ) which we are not able to fix. However, there is a mechanism in occ which can handle the system signals without letting crash the whole application. On Linux systems this seems to work pretty well but causes some ugly side-effects on Windows.

Nevertheless, in the development of 0.14 we can add this mechanism for experimental use.

wmayer

2013-06-29 15:31

administrator   ~0003298

No crashes any more with 0.14 wrt filleting.

Issue History

Date Modified Username Field Change
2013-01-27 20:33 peterinker New Issue
2013-01-27 20:33 peterinker File Added: stacktrace
2013-01-28 06:37 wmayer Note Added: 0002874
2013-06-29 15:31 wmayer Note Added: 0003298
2013-06-29 15:31 wmayer Status new => closed
2013-06-29 15:31 wmayer Resolution open => fixed
2013-06-29 15:31 wmayer Fixed in Version => 0.14